Name:          libdnf
Version:       0.73.2
Release:       1mamba
Summary:       Software management library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/rpm-software-management/libdnf
Source:        https://github.com/rpm-software-management/libdnf.git/%{version}/libdnf-%{version}.tar.bz2
Patch0:        libdnf-0.33.0-gcc-8.3.0.patch
Patch1:        libdnf-0.31.0-x86_64-disable_inferior_arch_check.patch
Patch2:        libdnf-0.60.0-openmamba-kernel-packages.patch
Patch3:        libdnf-0.43.1-arm-detect-arch-using-uname.patch
Patch4:        libdnf-0.58.0-i586-default-basearch.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libjson-c-devel
BuildRequires: libmodulemd-devel
BuildRequires: libpopt-devel
BuildRequires: libpython3-devel
BuildRequires: libpython311-devel
BuildRequires: librepo-devel
BuildRequires: librpm-devel
BuildRequires: libsmartcols-devel
BuildRequires: libsolv-devel
BuildRequires: libsqlite-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: libcppunit-devel
BuildRequires: libcheck-devel
BuildRequires: libmodulemd-devel >= 2.13.0
BuildRequires: librpm-devel >= 4.19.1.1
BuildRequires: libsolv >= 0.7.5
BuildRequires: libzck-devel
BuildRequires: python-sphinx-py3
BuildRequires: swig
Requires:      libmodulemd >= 2.13.0
Provides:      libhawkey
Obsoletes:     libhawkey < 0.65.0

%description
Software management library.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config
Provides:      libhawkey-devel
Obsoletes:     libhawkey-devel < 0.65.0

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
#-D -T
#:<< _EOF
%patch 0 -p1
%ifarch x86_64
%patch 1 -p1
%endif
%patch 2 -p1
%patch 3 -p1
%patch 4 -p1

%build
#:<< _EOF
%cmake -d build \
   -DPYTHON_DESIRED=%{__python3}

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
export LC_ALL=en_US.UTF8
%makeinstall -C build

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libdnf.so.*
%dir %{_libdir}/libdnf/plugins
%{_libdir}/libdnf/plugins/README
%dir %{python3_sitearch}/libdnf-%{version}.dist-info
%{python3_sitearch}/libdnf-%{version}.dist-info/*
%dir %{python3_sitearch}/libdnf
%{python3_sitearch}/libdnf/*
%dir %{python3_sitearch}/hawkey
%{python3_sitearch}/hawkey/*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libdnf
%{_includedir}/libdnf/*
%{_libdir}/libdnf.so
%{_libdir}/pkgconfig/libdnf.pc
%dir %{_datadir}/gtk-doc/html/libdnf
%{_datadir}/gtk-doc/html/libdnf/*
%{_mandir}/man3/hawkey.3*
%doc README.md

%changelog
* Thu Jun 20 2024 Automatic Build System <autodist@openmamba.org> 0.73.2-1mamba
- automatic version update by autodist

* Mon May 13 2024 Automatic Build System <autodist@openmamba.org> 0.73.1-2mamba
- rebuilt with rpm 4.19.1.1

* Sat Mar 30 2024 Automatic Build System <autodist@openmamba.org> 0.73.1-1mamba
- automatic version update by autodist

* Sun Feb 11 2024 Automatic Build System <autodist@openmamba.org> 0.73.0-1mamba
- automatic version update by autodist

* Thu Jan 11 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 0.72.0-2mamba
- rebuilt with python3

* Sat Oct 21 2023 Automatic Build System <autodist@mambasoft.it> 0.72.0-1mamba
- automatic version update by autodist

* Sat Sep 09 2023 Automatic Build System <autodist@mambasoft.it> 0.71.0-1mamba
- automatic version update by autodist

* Sun Jul 30 2023 Automatic Build System <autodist@mambasoft.it> 0.70.2-1mamba
- automatic version update by autodist

* Wed May 17 2023 Automatic Build System <autodist@mambasoft.it> 0.70.1-1mamba
- automatic version update by autodist

* Thu Mar 23 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.70.0-2mamba
- rebuilt with python 3.10

* Fri Feb 24 2023 Automatic Build System <autodist@mambasoft.it> 0.70.0-1mamba
- automatic version update by autodist

* Sat Sep 10 2022 Automatic Build System <autodist@mambasoft.it> 0.69.0-1mamba
- automatic version update by autodist

* Wed Aug 17 2022 Automatic Build System <autodist@mambasoft.it> 0.68.0-1mamba
- automatic version update by autodist

* Wed May 04 2022 Automatic Build System <autodist@mambasoft.it> 0.67.0-1mamba
- automatic version update by autodist

* Tue Mar 15 2022 Automatic Build System <autodist@mambasoft.it> 0.66.0-1mamba
- automatic version update by autodist

* Sun Oct 24 2021 Automatic Build System <autodist@mambasoft.it> 0.65.0-1mamba
- automatic version update by autodist

* Tue Jun 15 2021 Automatic Build System <autodist@mambasoft.it> 0.63.1-1mamba
- automatic version update by autodist

* Sun Jun 13 2021 Automatic Build System <autodist@mambasoft.it> 0.63.0-1mamba
- automatic version update by autodist

* Wed Apr 14 2021 Automatic Build System <autodist@mambasoft.it> 0.62.0-1mamba
- automatic version update by autodist

* Sun Mar 07 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.60.0-2mamba
- rebuilt by autoport with build requirements: librpm-devel>=4.16.1.2-1mamba

* Thu Mar 04 2021 Automatic Build System <autodist@mambasoft.it> 0.60.0-1mamba
- automatic version update by autodist

* Fri Jan 29 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.58.0-1mamba
- update to 0.58.0

* Sat Dec 19 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.55.2-1mamba
- update to 0.55.2

* Tue Nov 10 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.55.0-1mamba
- update to 0.55.0

* Sat Oct 17 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.54.2-2mamba
- arm: remove kernel-rpi* from installonly packages

* Fri Oct 09 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.54.2-1mamba
- update to 0.54.2

* Sat Aug 15 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.48.0-1mamba
- update to 0.48.0

* Fri Aug 14 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.45.0-2mamba
- rebuilt with python3

* Thu Feb 27 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.45.0-1mamba
- update to 0.45.0

* Thu Jan 16 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.43.1-1mamba
- update to 0.43.1

* Fri Oct 25 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.33.0-1mamba
- update to 0.33.0

* Fri Aug 16 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.31.0-3mamba
- x86: patched to set i586 instead of i386 as detected base arch

* Sun Jun 23 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.31.0-2mamba
- added patches for x86_64 cohexistance with x86 packages and for openmamba kernel packages names

* Sat Jun 22 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.31.0-1mamba
- update to 0.31.0

* Tue Jun 04 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.26.0-1mamba
- update to 0.26.0

* Tue Jun 04 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.22.4-1mamba
- update to 0.22.4

* Sat Jun 01 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.22.0-1mamba
- update to 0.22.0

* Sat Jun 01 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.11.1-1mamba
- update to 0.11.1

* Sat Jun 01 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.1-1mamba
- update to 0.8.1

* Sat Jun 01 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.33.0-1mamba
- package created using the webbuild interface
